# debug

Debugging level of Scilab internals

## Calling Sequence

    debug(level_int)
                level_int = debug()

## Arguments

level_int

  integer (-1 to 4)

## Description

For the values 0,1,2,3,4 of `level_int`, `debug` defines various levels of debugging. This is targeted to the parser, not to Scilab scripts, and is for Scilab experts only.

The output of this function will change with Scilab 6.0.0.

## Examples

    debug(3);
    2+2
    //  0.200E+01
    //+
    //  0.200E+01
    // eol

## History

5.4.0
Previous value is returned as output argument when setting a new value.